For the complete documentation index, see llms.txt. This page is also available as Markdown.

Groups

Manage groups within a workspace

List groups of a workspace

get

Returns all groups of the workspace. Requires administrator rights.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_shortstringRequired

Short name of the workspace instance (e.g. daxium-test)

Responses
200

List of groups

application/json
total_countintegerOptional
total_pagesintegerOptional
server_timeinteger · int64Optional
get/{app_short}/groups
200

List of groups

Create a group

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_shortstringRequired

Short name of the workspace instance (e.g. daxium-test)

Body

Body for creating or updating a group

namestringRequired

Group name

descriptionstringRequired

Group description

user_idsinteger[]Optional

Identifiers of users in the group

structure_idsinteger[]Optional

Identifiers of forms in the group

Responses
200

Group created

application/json

Group within a workspace

is_systembooleanOptional

Whether this is a system group

idintegerOptional

Group identifier

namestringOptional

Displayed name

descriptionstringOptional

Description set by the administrator

user_idsinteger[]Optional

Identifiers of users in the group

structure_idsinteger[]Optional

Identifiers of forms linked to the group

post/{app_short}/group
200

Group created

Update a group

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_shortstringRequired

Short name of the workspace instance (e.g. daxium-test)

group_idintegerRequired

Group identifier

Body

Body for creating or updating a group

namestringRequired

Group name

descriptionstringRequired

Group description

user_idsinteger[]Optional

Identifiers of users in the group

structure_idsinteger[]Optional

Identifiers of forms in the group

Responses
200

Group updated

application/json

Group within a workspace

is_systembooleanOptional

Whether this is a system group

idintegerOptional

Group identifier

namestringOptional

Displayed name

descriptionstringOptional

Description set by the administrator

user_idsinteger[]Optional

Identifiers of users in the group

structure_idsinteger[]Optional

Identifiers of forms linked to the group

put/{app_short}/group/{group_id}
200

Group updated

Last updated

Was this helpful?